Skip to main content
`Ctrl`+`K`

# PCPARMSSetSolveTolerances

Sets the convergence tolerance and the maximum iterations for the inner GMRES solver, when the Schur global preconditioner is used.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCPARMSSetSolveTolerances(PC pc, PetscReal tol, PetscInt maxits)

Collective

## Input Parameters

- pc - the preconditioner context

- tol - the convergence tolerance

- maxits - the maximum number of iterations to use

## Options Database Keys

- -pc_parms_solve_tol - set the tolerance for local solve

- -pc_parms_max_it - set the maximum number of inner iterations

## Note

See the pARMS functions `parms_PCSetInnerEps()` and `parms_PCSetInnerMaxits()` for more information.

## See Also

KSP: Linear System Solvers, `PCPARMS`, `PCPARMSSetSolveRestart()`

## Level

intermediate

## Location

src/ksp/pc/impls/parms/parms.c

## Implementations

PCPARMSSetSolveTolerances_PARMS() in src/ksp/pc/impls/parms/parms.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages